%if 0%{?el6}%{?el7}
    # python3 and python version related macros
    # required to build python3- subpackage
    # are not available in el6 and epel7
    %global with_python3    0
    %global __python2       %{__python}
    %global python2_sitelib %{python_sitelib}
%else
    %bcond_without python3
%endif

%if 0%{?el6}
    # sphinx.ext.viewcode required to build -doc subpackage
    # is not available in el6
    %global with_doc    0
#%%else
#%    %bcond_without doc
%endif

%global pkgname social-auth

Name:           python-%{pkgname}
Version:        0.2.19
Release:        1%{?dist}
Summary:        Social auth made simple
Group:          Development/Libraries
License:        BSD
URL:            http://psa.matiasaguirre.net/
Source0:        https://pypi.python.org/packages/72/4c/5fb6c9157eb059e662beafbc73c84030741ea30eaaa643ca1cb8b58f1bdc/%{name}-%{version}.tar.gz
Patch0:         python-social-auth-fedora-email.patch

BuildArch:      noarch

BuildRequires:  python-sphinx
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3

# See requirements.txt
Requires:       python-oauthlib >= 0.3.8
Requires:       python-openid   >= 2.2
Requires:       python-requests >= 2.5.1
Requires:       python-requests-oauthlib >= 0.3.1
Requires:       python-six      >= 1.2.0
Requires:       python-jwt      >= 1.0.0

%description
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.

%if 0%{?with_doc}
%package doc
Summary:        Documentation for Python Social Auth
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains the documentation for %{name}.
%endif # with_doc

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Social auth made simple
Group:          Development/Libraries

Requires:       python3-oauthlib >= 0.3.8
Requires:       python3-openid   >= 3.0.1
Requires:       python3-requests >= 1.1.0
Requires:       python3-requests-oauthlib >= 0.3.1
Requires:       python3-six      >= 1.2.0
Requires:       python3-jwt      >= 1.0.0

%description -n python3-%{pkgname}
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.

%if 0%{?with_doc}
%package -n python3-%{pkgname}-doc
Summary:        Documentation for Python Social Auth
Group:          Documentation
Requires:       python3-%{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}-doc
This package contains the documentation for %{name}.
%endif # with_doc
%endif # with_python3


%prep
%setup -q
%patch0 -p0

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

# build documentation
%if 0%{?with_doc}
pushd docs
    make html
popd
%endif # with_doc


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

# remove .po files
find %{buildroot} -name "*.po" | xargs rm -f


%files
%doc README.rst
%{python2_sitelib}/social
%{python2_sitelib}/python_social_auth-%{version}-py2.*.egg-info


%if 0%{?with_doc}
%files doc
%doc docs/_build/html
%endif # with_doc

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/social
%{python3_sitelib}/python_social_auth-%{version}-py3.*.egg-info

%if 0%{?with_doc}
%files -n python3-%{pkgname}-doc
%doc docs/_build/html
%endif # with_doc
%endif # with_python3

%changelog
* Fri Nov 29 2013 Jakub Dorňák <jdornak@redhat.com> - 0.1.17-1
- Initial package
